Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jboss.seam.intercept
Enum EventType

    java.lang.Object
      java.lang.Enum<EventType>
          org.jboss.seam.intercept.EventType

All Implemented Interfaces:
  Serializable, Comparable<EventType>

    public enum EventType

extends Enum<EventType>

Enum Constant Summary
`AROUND_INVOKE`
`POST_ACTIVATE`
`POST_CONSTRUCT`
`PRE_DESTORY`
`PRE_PASSIVATE`

Method Summary
`static EventType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static EventType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### AROUND_INVOKE

    public static final EventType AROUND_INVOKE

### PRE_DESTORY

    public static final EventType PRE_DESTORY

### POST_CONSTRUCT

    public static final EventType POST_CONSTRUCT

### PRE_PASSIVATE

    public static final EventType PRE_PASSIVATE

### POST_ACTIVATE

    public static final EventType POST_ACTIVATE

Method Detail

### values

    public static final EventType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(EventType c : EventType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static EventType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD